//
//  LiveRecommendRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/09.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class LiveRecommendRepository {
    private let api = MoyaProvider<LiveRecommendApi>()
    
    func getFollowedChannelList() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getFollowedChannelList)
    }
    
    func getRecommendChannelList() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getRecommendChannelList)
    }
    
    func getRecommendLive() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getRecommendLive)
    }
}
